{% extends 'base.html.j2' %}
{% block title %}Snapshot Query{% endblock %}
{% block main %}
    <h1 class="govuk-heading-xl">Snapshot Query</h1>
    <form action="/sqr1" method="get">
        <input type="hidden" name="step" value="snapshot-url">
        <div class="govuk-form-group{% if validation_error %} govuk-form-group--error{% endif %}">
            <h1 class="govuk-label-wrapper">
                <label class="govuk-label govuk-label--l" for="snapshot-url">
                    What is the published snapshot's URL?
                </label>
            </h1>
            {% if validation_error %}
                    <p id="snapshot-error" class="govuk-error-message">
                        <span class="govuk-visually-hidden">Error:</span> The URL is incorrect, or is not a snapshot URL. Double-check the URL is correct. If this is the URL of the original article and not of the snapshot, use the back link above and select <strong>Yes</strong> to perform a takedown request based on the source URL instead.
                    </p>
            {% endif %}
            <div id="source-url-hint" class="govuk-hint">
                This is the URL of the published snapshot (e.g.
                containing <code>storage.googleapis.com</code>).
            </div>
            <input class="govuk-input" id="snapshot-url" name="snapshot-url" type="text"
                   aria-describedby="source-url-hint" value="{{ request.form.get("snapshot-url", "") }}">
        </div>
        <button type="submit" class="govuk-button" data-module="govuk-button">
            Continue
        </button>

    </form>
{% endblock %}